For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Updates a boarding application by ID. This endpoint requires an application API token.
Authentication
requestTokenstring
API Key authentication via header
Path parameters
appIdintegerRequired
Boarding application ID.
Request
This endpoint expects an object.
servicesobjectOptional
Controls which services will be enabled for the merchant.
annualRevenuedoubleOptional
Annual revenue amount.
attachmentslist of objectsOptional
Array of fileContent objects with attached documents. Max upload size is
30 MB.
avgmonthlydoubleOptional
Average total amount of transactions in your local currency that are
processed each month.
baddressstringOptional
Business address. This must be a physical address, not a P.O. box.
baddress1stringOptional
Business address additional line. If used, this must be the physical
address of the business, not a P.O. box.
bankDatalist of objectsOptional
Information about associated bank accounts.
bcitystringOptional
Business city.
bcountrystringOptional
Business country in ISO-3166-1 alpha 2 format.
See ISO 3166-1 for more
information.
binpersonintegerOptional
Numeric percent of volume processed in person. To pass validation,
binperson, binweb, and binphone must total 100 together.
binphoneintegerOptional
Numeric percent of volume processed by phone. To pass validation,
binperson, binweb, and binphone must total 100 together.
binwebintegerOptional
Numeric percent of volume processed on web. To pass validation,
binperson, binweb, and binphone must total 100 together.
bstatestringOptional
Business state.
bsummarystringOptional
A summary of what the business sells in terms of goods or services.
btypeenumOptional
The business ownership type.
bzipstringOptional
Business ZIP.
contactslist of objectsOptional
List of contacts.
dbanamestringOptional
The alternate or common name that this business is doing business under,
usually referred to as a DBA name.
einstringOptional
Business EIN or tax ID. This value is masked in API responses.
externalPaypointIdstringOptional
A custom identifier for the paypoint, if applicable.
faxnumberstringOptional
The business's fax number.
highticketamtdoubleOptional
Highest ticket amount.
legalnamestringOptional
Business legal name.
licensestringOptional
Business license ID or state ID number.
licstatestringOptional
Business license issuing state or province.
maddressstringOptional
The business's mailing address.
maddress1stringOptional
Additional line for the business's mailing address.
mccstringOptional
Business Merchant Category Code (MCC).
This resource
lists MCC codes.
mcitystringOptional
The business's mail city.
mcountrystringOptional
Business mailing country.
mstatestringOptional
The business's mailing address state.
mzipstringOptional
Business mailing ZIP.
orgIdlongOptional
Organization ID. Unique identifier assigned to an org by Payabli.
ownershiplist of objectsOptional
List of Owners with at least a 25% ownership.
payoutAverageMonthlyVolumedoubleOptional
The total number of bills the business pays each month. For example, if
your business pays an electric bill of 500,aninternetbillof150, and
various suppliers 5,000everymonththenyourmonthlybillvolumewouldbe5,650.
payoutAverageTicketLimitdoubleOptional
The average amount of each bill you pay through our service. For example,
if your business paid 3 bills for a total of 1,500thenyouraveragebillsizeis500.
payoutCreditLimitdoubleOptional
The maximum amount of credit that our lending partner has authorized to
the business for on-demand payouts. It’s the upper boundary on how much
you can spend or owe on a credit account at any given time.
payoutHighTicketAmountdoubleOptional
The largest amount for a bill you will pay through our service. For
example, if your business paid for 3 bills each month for 500,1000,
and 5000respectively,thenyourhighestticketis5000.
Email address for the applicant. This is used to send the applicant a boarding link.
recipientEmailNotificationbooleanOptional
When true, Payabli will send the applicant a boarding link. Set this
value to false if you are sending pre-filled applications via the API
and don’t want Payabli to send the applicant an email to complete the
boarding application.
resumablebooleanOptional
When true, the applicant can save an incomplete application and
resume it later. When false, the applicant won’t have an option to
save their progress, and must complete the application in one session.
signerobjectOptional
Information about the application's signer.
startdatestringOptional
Business start date. Accepted formats:
YYYY-MM-DD
MM/DD/YYYY
taxfillnamestringOptional
Business name in tax document. This is only relevant if a government
entity has given you an alternative name to file tax documents with.
templateIdlongOptional
The associated boarding template's ID in Payabli.
ticketamtdoubleOptional
The average transaction size that the business expects to process. For
example, if you process 10,000amonthacross10transactions,that′sanaverageticketof1000.
websitestringOptional
The business website address. Include only the domain and TLD, do not
enter the protocol (http/https). For example: www.example.com is
acceptable.
whenChargedenumOptional
Describes when customers are charged for goods or services.
Allowed values:
whenDeliveredenumOptional
When goods and services are delivered.
Allowed values:
whenProvidedenumOptional
Describes when goods or services are provided, from time of transaction.
Allowed values:
whenRefundedenumOptional
Describes the business refund policy.
Allowed values:
RepCodestringOptional<=50 characters
Sales representative code. This is an optional field that can be used
to track the sales representative associated with the application.
RepNamestringOptional<=50 characters
Sales representative name. This is an optional field that can be used
to track the sales representative associated with the application.
RepOfficestringOptional<=50 characters
Sales representative office location. This is an optional field that
can be used to track the sales representative office associated with
the application.
onCreatestringOptional
Action to take when the application is created. The only currently
supported option is submitApplication. Use this when you have collected
eSignature elsewhere or are adding additional locations for an applicant,
or when you want to submit an application via API with one call without
using the hosted boarding UI or embedded boarding components.
Response
Success
responseTextstring
Response text for operation: ‘Success’ or ‘Declined’.